Subject: Re: [patch 2.6.14-rc4] b44: alternate allocation option for DMA descriptors

From: "John W. Linville" <[email-masked]>
Date: Thu, 20 Oct 2005 10:33:29 -0400

On Thu, Oct 20, 2005 at 05:17:05PM +1000, Benjamin Herrenschmidt wrote:

> So basically, what you are doing is: if allocation fails, you try to get
> memory using GFP_KERNEL. If it happens to be in the low 2Gb of memory,
> use it, if not, drop it.
> 
> Did I get that right ?

Yes, that is basically correct.  I wish I had something more clever
than that...suggestions welcome...

John
-- 
John W. Linville
[email-masked]